com.amazonaws.codegen.model.intermediate

## Class ConstructorModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.DocumentationModel
  - - com.amazonaws.codegen.model.intermediate.ConstructorModel

    public class ConstructorModel
    extends DocumentationModel

### Field Summary

### Fields inherited from class com.amazonaws.codegen.model.intermediate.DocumentationModel

`documentation`

### Constructor Summary

Constructors
Constructor and Description
`ConstructorModel(String modelClassName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addArgument(ArgumentModel argument)`
`List<ArgumentModel>` `getArguments()`
`String` `getArgumentsDeclaration()`
`String` `getDocumentation()`
`void` `setDocumentation(String documentation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstructorModel

    public ConstructorModel(String modelClassName)

### Method Detail

#### getArguments

    public List<ArgumentModel> getArguments()

#### addArgument

    public void addArgument(ArgumentModel argument)

#### getArgumentsDeclaration

    public String getArgumentsDeclaration()

#### setDocumentation

    public void setDocumentation(String documentation)

Overrides:
  `setDocumentation` in class `DocumentationModel`

#### getDocumentation

    public String getDocumentation()

Overrides:
  `getDocumentation` in class `DocumentationModel`